List archived pricing rules - Barndoor Documentation
List archived pricing rules
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived \
--header 'Authorization: Bearer <token>'
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/archived")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response
200 - application/json
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_pattern": "gpt-4o-mini",
"input_cost_per_million_tokens": 0.15,
"output_cost_per_million_tokens": 0.6,
"effective_from": "2023-11-07T05:31:56Z",
"is_archived": true,
"model_provider": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog_slug": "<string>",
"cache_read_cost_per_million_tokens": 123,
"cache_write_cost_per_million_tokens": 123,
"change_reason": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_email": "<string>",
"scheduled_count": 123,
"version_count": 123,
"next_scheduled_effective_from": "2023-11-07T05:31:56Z"
}
]
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- JWT obtained through Barndoor's authentication flow. Pass the token verbatim in
Authorization: Bearer <token>.
Response Structure
- id: string
(required) - org_id: string
(required) - model_pattern: string (required)
- input_cost_per_million_tokens: number (required)
- output_cost_per_million_tokens: number (required)
- effective_from: string
(required) - is_archived: boolean (required)